Name:           perl-Language-Prolog-Yaswi
Version:        0.21
Release:        32%{?dist}
Summary:        Yet another interface to SWI-Prolog
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Language-Prolog-Yaswi/
Source0:        http://www.cpan.org/authors/id/S/SA/SALVA/Language-Prolog-Yaswi-%{version}.tar.gz
# Adjust list parsing to SWI Prolog 7, bug #1229589, CPAN RT#105114
Patch0:         Language-Prolog-Yaswi-0.21-Adjust-list-parsing-to-SWI-Prolog-7.patch
# Convert README to UTF-8
Patch1:         Language-Prolog-Yaswi-0.21-Convert-documentation-to-UTF-8.patch
BuildRequires:  coreutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# XXX: Both SWI Prolog and Perl must (not) be compiled with threads support at
# the same time.
BuildRequires:  pl-devel >= 7
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Language::Prolog::Types) >= 0.09
BuildRequires:  perl(Language::Prolog::Types::Converter)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Language::Prolog::Types::overload)
BuildRequires:  perl(Language::Prolog::Sugar) >= 0.03
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::Temp)
Requires:       perl(Language::Prolog::Types) >= 0.09

%{?perl_default_filter}

%description
This package provides a bidirectional interface to SWI-Prolog. That means
that Prolog code can be called from Perl that can call Perl code again
and so on.

%prep
%setup -q -n Language-Prolog-Yaswi-%{version}
%patch0 -p1
%patch1 -p1

%build
PL="%(type -p swipl)" perl Makefile.PL \
    INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README samples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Language*
%{_mandir}/man3/*

%changelog
* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-32
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.21-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 27 2015 Petr Pisar <ppisar@redhat.com> - 0.21-30
- Rebuild against pl-7.2.3

* Wed Jul 01 2015 Petr Pisar <ppisar@redhat.com> - 0.21-29
- Rebuild against pl-7.2.2

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-27
- Perl 5.22 rebuild

* Tue Jun 09 2015 Petr Pisar <ppisar@redhat.com> - 0.21-26
- Adjust list parsing to SWI Prolog 7 (bug #1229589)

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-25
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-24
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 Petr Pisar <ppisar@redhat.com> - 0.21-21
- Rebuild against pl-6.6.6

* Wed Apr 30 2014 Petr Pisar <ppisar@redhat.com> - 0.21-20
- Rebuild against pl-6.6.5

* Mon Mar 24 2014 Petr Pisar <ppisar@redhat.com> - 0.21-19
- Rebuild against pl-6.6.4

* Mon Mar 24 2014 Petr Pisar <ppisar@redhat.com> - 0.21-18
- Rebuild against pl-6.6.3

* Fri Mar 07 2014 Petr Pisar <ppisar@redhat.com> - 0.21-17
- Rebuild against pl-6.6.2

* Thu Jan 02 2014 Petr Pisar <ppisar@redhat.com> - 0.21-16
- Rebuild against pl-6.6.1

* Wed Dec 04 2013 Petr Pisar <ppisar@redhat.com> - 0.21-15
- Rebuild against pl-6.6.0

* Wed Sep 04 2013 Petr Pisar <ppisar@redhat.com> - 0.21-14
- Rebuild against pl-6.4.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.21-12
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Petr Pisar <ppisar@redhat.com> - 0.21-10
- Rebuild against pl-6.2.6

* Fri Jan 04 2013 Petr Pisar <ppisar@redhat.com> - 0.21-9
- Rebuild against pl-6.2.5

* Fri Dec 14 2012 Petr Pisar <ppisar@redhat.com> - 0.21-8
- Rebuild against pl-6.2.4

* Fri Nov 23 2012 Petr Pisar <ppisar@redhat.com> - 0.21-7
- Rebuild against pl-6.2.3

* Wed Oct 03 2012 Petr Pisar <ppisar@redhat.com> - 0.21-6
- Rebuild against pl-6.2.2

* Tue Sep 11 2012 Petr Pisar <ppisar@redhat.com> - 0.21-5
- Rebuild against pl-6.2.1

* Mon Aug 27 2012 Petr Pisar <ppisar@redhat.com> - 0.21-4
- Rebuild against pl-6.2.0

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Petr Pisar <ppisar@redhat.com> - 0.21-2
- Perl 5.16 rebuild

* Wed Jul 11 2012 Petr Pisar <ppisar@redhat.com> - 0.21-1
- 0.21 bump

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.19-2
- Perl 5.16 rebuild

* Mon Mar 12 2012 Petr Pisar <ppisar@redhat.com> 0.19-1
- Specfile autogenerated by cpanspec 1.78.
